{
	"easycom": {
		// uview 组件
		"^u-(.*)": "@/uni_modules/uview-ui/components/u-$1/u-$1.vue",
		// 自定义组件
		"^cl-(.*)": "@/components/cl-$1/index.vue"
	},

	"pages": [ //pages数组中第一项表示应用启动页，参考：https://uniapp.dcloud.io/collocation/pages
		{
			"path": "pages/tabBar/home/index",
			"style": {
				"navigationBarTitleText": "%navBar.home%",
				"enablePullDownRefresh": true,
				"navigationStyle": "custom"
			}
		},
		{
			"path": "pages/tabBar/user/index",
			"style": {
				"navigationBarTitleText": "%navBar.user%",
				"enablePullDownRefresh": false,
				"navigationStyle": "custom",
				"app-plus": {
					"bounce": "none"
				}
			}
		},
		{
			"path": "pages/login/index",
			"style": {
				"navigationBarTitleText": "%navBar.login%",
				"enablePullDownRefresh": false,
				"navigationStyle": "custom",
				"app-plus": {
					"bounce": "none" // 将回弹属性关掉
				}
			}
		},

		{
			"path": "pages/tabBar/scene/index",
			"style": {
				"navigationBarTitleText": "%navBar.scene%",
				"enablePullDownRefresh": false,
				"navigationStyle": "custom",
				"app-plus": {
					"bounce": "none" // 将回弹属性关掉
				}
			},
			"meta": {
				"requireAuth": true
			}
		},
		{
			"path": "pages/tabBar/alert/index",
			"meta": {
				"title": "%navBar.alert%",
				"requireAuth": true
			},
			"style": {
				"navigationBarTitleText": "%navBar.alert%",
				"enablePullDownRefresh": false,
				"navigationStyle": "custom",
				"app-plus": {
					"bounce": "none" // 将回弹属性关掉
				}
			}
		},
		{
			"path": "pages/tabBar/trend/index",
			"style": {
				"navigationBarTitleText": "%navBar.news%",
				"enablePullDownRefresh": false,
				"navigationStyle": "custom",
				"app-plus": {
					"bounce": "none" // 将回弹属性关掉
				}
			}
		},
		{
			"path": "pages/common/webview/index",
			"style": {
				"navigationBarTitleText": "%navBar.browse%"
			},
			"meta": {
				"requireAuth": true
			}
		}
	],
	"subPackages": [{
		"root": "pagesA",
		"pages": [{
				"path": "scene/detail",
				"meta": {
					"title": "%navBar.sceneDetail%",
					"requireAuth": true
				},
				"style": {
					"navigationBarTitleText": "%navBar.sceneDetail%",
					"app-plus": {
						"bounce": "none" // 将回弹属性关掉
					}
				}
			},
			{
				"path": "scene/list",
				"meta": {
					"title": "%navBar.sceneList%",
					"requireAuth": true
				},
				"style": {
					"navigationBarTitleText": "%navBar.sceneList%",
					"enablePullDownRefresh": true
				}
			},
			{
				"path": "scene/product/index",
				"meta": {
					"title": "%navBar.productList%",
					"requireAuth": true
				},
				"style": {
					"navigationBarTitleText": "%navBar.productList%",
					"enablePullDownRefresh": true
				}
			},
			{
				"path": "scene/product/device",
				"meta": {
					"title": "%navBar.deviceList%",
					"requireAuth": true
				},
				"style": {
					"navigationBarTitleText": "%navBar.deviceList%",
					"enablePullDownRefresh": true
				}
			},
			{
				"path": "scene/product/model",
				"meta": {
					"title": "%navBar.physicalModels%",
					"requireAuth": true
				},
				"style": {
					"navigationBarTitleText": "%navBar.physicalModels%",
					"enablePullDownRefresh": false,
					"app-plus": {
						"bounce": "none" // 将回弹属性关掉
					}
				}
			},
			{
				"path": "scene/warning/index",
				"meta": {
					"title": "%navBar.alarmList%",
					"requireAuth": true
				},
				"style": {
					"navigationBarTitleText": "%navBar.alarmList%",
					"enablePullDownRefresh": false,
					"app-plus": {
						"bounce": "none" // 将回弹属性关掉
					}
				}
			},
			{
				"path": "scene/timing/index",
				"meta": {
					"title": "%navBar.timer%",
					"requireAuth": true
				},
				"style": {
					"navigationBarTitleText": "%navBar.timer%",
					"enablePullDownRefresh": false,
					"app-plus": {
						"bounce": "none" // 将回弹属性关掉
					}
				}
			},
			{
				"path": "scene/timing/express",
				"meta": {
					"title": "生成表达式",
					"requireAuth": true
				},
				"style": {
					"navigationBarTitleText": "生成表达式",
					"enablePullDownRefresh": false,
					"app-plus": {
						"bounce": "none" // 将回弹属性关掉
					}
				}
			},
			{
				"path": "home/device/index",
				"meta": {
					"title": "%navBar.deviceDetails%"
				},
				"style": {
					"navigationBarTitleText": "%navBar.deviceDetails%",
					"enablePullDownRefresh": false,
					"navigationStyle": "custom"
				}
			},
			{
				"path": "home/device/timing/list",
				"meta": {
					"title": "%navBar.timedList%"
				},
				"style": {
					"navigationBarTitleText": "%navBar.timedList%",
					"enablePullDownRefresh": true
				}
			},
			{
				"path": "home/device/timing/detail",
				"meta": {
					"title": "%navBar.timedDetails%"
				},
				"style": {
					"navigationBarTitleText": "%navBar.timedDetails%",
					"enablePullDownRefresh": false
				}
			},
			{
				"path": "home/device/model",
				"meta": {
					"title": "%navBar.physicalModels%"
				},
				"style": {
					"navigationBarTitleText": "%navBar.physicalModels%",
					"enablePullDownRefresh": false,
					"app-plus": {
						"bounce": "none" // 将回弹属性关掉
					}
				}
			},
			{
				"path": "home/device/detail/index",
				"meta": {
					"title": "%navBar.deviceDetails%",
					"requireAuth": true
				},
				"style": {
					"navigationBarTitleText": "%navBar.deviceDetails%",
					"enablePullDownRefresh": false,
					"app-plus": {
						"bounce": "none" // 将回弹属性关掉
					}
				}
			},
			{
				"path": "trend/detail",
				"meta": {
					"title": "%navBar.dynamicDetails%"
				},
				"style": {
					"navigationBarTitleText": "%navBar.dynamicDetails%",
					"enablePullDownRefresh": false,
					"app-plus": {
						"bounce": "none" // 将回弹属性关掉
					}
				}
			},
			{
				"path": "trend/category",
				"meta": {
					"title": "%navBar.classification%"
				},
				"style": {
					"navigationBarTitleText": "%navBar.classification%",
					"enablePullDownRefresh": true
				}
			},
			{
				"path": "list/home/deviceAdd",
				"meta": {
					"title": "%navBar.addDevice%"
				},
				"style": {
					"navigationBarTitleText": "%navBar.addDevice%",
					"app-plus": {
						"bounce": "none" // 将回弹属性关掉
					}
				}
			},
			{
				"path": "list/home/deviceRelate",
				"meta": {
					"title": "%navBar.associatedDevices%"
				},
				"style": {
					"navigationBarTitleText": "%navBar.associatedDevices%",
					"app-plus": {
						"bounce": "none" // 将回弹属性关掉
					}
				}
			},
			{
				"path": "device/share/list",
				"meta": {
					"title": "%navBar.deviceSharing%"
				},
				"style": {
					"navigationBarTitleText": "%navBar.deviceSharing%",
					"enablePullDownRefresh": true
				}
			},
			{
				"path": "device/share/detail",
				"meta": {
					"title": "%navBar.shareDetails%"
				},
				"style": {
					"navigationBarTitleText": "%navBar.shareDetails%",
					"app-plus": {
						"bounce": "none" // 将回弹属性关掉
					}
				}
			}
		]
	}, {
		"root": "pagesB",
		"pages": [{
				"path": "user/about",
				"meta": {
					"title": "%navBar.about%"
				},
				"style": {
					"navigationBarTitleText": "%navBar.about%",
					"enablePullDownRefresh": false,
					"app-plus": {
						"bounce": "none" // 将回弹属性关掉
					}
				}
			},
			{
				"path": "user/message/index",
				"meta": {
					"title": "%navBar.latest%"
				},
				"style": {
					"navigationBarTitleText": "%navBar.latest%",
					"enablePullDownRefresh": false,
					"app-plus": {
						"bounce": "none"
					}
				}
			},
			{
				"path": "user/message/detail",
				"meta": {
					"title": "%navBar.newsDetail%"
				},
				"style": {
					"navigationBarTitleText": "%navBar.newsDetail%",
					"enablePullDownRefresh": false,
					"app-plus": {
						"bounce": "none"
					}
				}
			},
			{
				"path": "list/user/setting",
				"meta": {
					"title": "%navBar.setting%"
				},
				"style": {
					"navigationBarTitleText": "%navBar.setting%",
					"enablePullDownRefresh": false,
					"app-plus": {
						"bounce": "none" // 将回弹属性关掉
					}
				}
			},
			{
				"path": "list/user/emulator",
				"meta": {
					"title": "%navBar.simulation%"
				},
				"style": {
					"navigationBarTitleText": "%navBar.simulation%",
					"enablePullDownRefresh": false,
					"app-plus": {
						"bounce": "none" // 将回弹属性关掉
					}
				}
			},
			{
				"path": "list/user/phone",
				"meta": {
					"title": "%navBar.mobile%"
				},
				"style": {
					"navigationBarTitleText": "%navBar.mobile%",
					"enablePullDownRefresh": false,
					"app-plus": {
						"bounce": "none" // 将回弹属性关掉
					}
				}
			},
			{
				"path": "user/account",
				"meta": {
					"title": "%navBar.account%"
				},
				"style": {
					"navigationBarTitleText": "%navBar.account%",
					"enablePullDownRefresh": false,
					"app-plus": {
						"bounce": "none" // 将回弹属性关掉
					}
				}
			},
			{
				"path": "user/language/index",
				"meta": {
					"title": "%navBar.language%"
				},
				"style": {
					"navigationBarTitleText": "%navBar.language%",
					"enablePullDownRefresh": false,
					"app-plus": {
						"bounce": "none" // 将回弹属性关掉
					}
				}
			},
			{
				"path": "user/scada/indeScada",
				"meta": {
					"title": "独立组态"
				},
				"style": {
					"navigationBarTitleText": "独立组态",
					"enablePullDownRefresh": true
				}
			},
			{
				"path": "user/resetPsd",
				"meta": {
					"title": "%navBar.resetPsd%"
				},
				"style": {
					"navigationBarTitleText": "密码修改",
					"enablePullDownRefresh": false,
					"app-plus": {
						"bounce": "none" // 将回弹属性关掉
					}
				}
			},
			{
				"path": "user/avatar",
				"meta": {
					"title": "%navBar.updateAvatar%"
				},
				"style": {
					"navigationBarTitleText": "%navBar.updateAvatar%",
					"enablePullDownRefresh": false,
					"app-plus": {
						"bounce": "none" // 将回弹属性关掉
					}
				}
			},
			{
				"path": "user/secureBind",
				"meta": {
					"title": "%navBar.unbind%"
				},
				"style": {
					"navigationBarTitleText": "%navBar.unbind%",
					"enablePullDownRefresh": false,
					"app-plus": {
						"bounce": "none" // 将回弹属性关掉
					}
				}
			},
			{
				"path": "user/deviceGroup/index",
				"meta": {
					"title": "%navBar.group%"
				},
				"style": {
					"navigationBarTitleText": "%navBar.group%",
					"enablePullDownRefresh": true
				}
			},
			{
				"path": "user/deviceGroup/detail",
				"meta": {
					"title": "%navBar.updateGroup%"
				},
				"style": {
					"navigationBarTitleText": "%navBar.updateGroup%",
					"app-plus": {
						"bounce": "none" // 将回弹属性关掉
					}
				}
			},
			{
				"path": "user/deviceGroup/devices",
				"meta": {
					"title": "%navBar.deviceList%"
				},
				"style": {
					"navigationBarTitleText": "%navBar.deviceList%",
					"enablePullDownRefresh": true
				}
			},
			{
				"path": "home/device/status/modbus/index",
				"meta": {
					"title": "%navBar.running%"
				},
				"style": {
					"navigationBarTitleText": "%navBar.running%",
					"enablePullDownRefresh": false
				}
			},
			{
				"path": "home/device/status/modbus/edit",
				"meta": {
					"title": "%navBar.updateDevice%"
				},
				"style": {
					"navigationBarTitleText": "%navBar.updateDevice%",
					"enablePullDownRefresh": false
				}
			},
			{
				"path": "home/device/log/event",
				"meta": {
					"title": "%navBar.eventLog%"
				},
				"style": {
					"navigationBarTitleText": "%navBar.eventLog%",
					"enablePullDownRefresh": true
				}
			},
			{
				"path": "home/device/log/order",
				"meta": {
					"title": "%navBar.orderLog%"
				},
				"style": {
					"navigationBarTitleText": "%navBar.orderLog%",
					"enablePullDownRefresh": true
				}
			},
			{
				"path": "login/register",
				"style": {
					"navigationBarTitleText": "%navBar.registration%",
					"enablePullDownRefresh": false,
					"navigationStyle": "custom",
					"app-plus": {
						"bounce": "none" // 将回弹属性关掉
					}
				}
			},
			{
				"path": "login/bindLogin",
				"style": {
					"navigationBarTitleText": "%navBar.loginBinding%",
					"enablePullDownRefresh": false,
					"navigationStyle": "custom",
					"app-plus": {
						"bounce": "none" // 将回弹属性关掉
					}
				}
			},
			{
				"path": "login/bindRegister",
				"style": {
					"navigationBarTitleText": "%navBar.registrationBinding%",
					"enablePullDownRefresh": false,
					"app-plus": {
						"bounce": "none" // 将回弹属性关掉
					}
				}
			},
			{
				"path": "login/smsLogin",
				"style": {
					"navigationBarTitleText": "%navBar.smsBogin%",
					"enablePullDownRefresh": false,
					"navigationStyle": "custom",
					"app-plus": {
						"bounce": "none" // 将回弹属性关掉
					}
				}
			},
			{
				"path": "login/firstOpen",
				"style": {
					"navigationBarTitleText": "",
					"enablePullDownRefresh": false,
					"navigationStyle": "custom",
					"app-plus": {
						"bounce": "none" // 将回弹属性关掉
					}
				}
			},
			{
				"path": "login/waitLogin",
				"style": {
					"navigationBarTitleText": "",
					"enablePullDownRefresh": false,
					"navigationStyle": "custom",
					"app-plus": {
						"bounce": "none" // 将回弹属性关掉
					}
				}
			},
			{
				"path": "alert/detail",
				"meta": {
					"title": "%navBar.alarmHandling%"
				},
				"style": {
					"navigationBarTitleText": "%navBar.alarmHandling%",
					"enablePullDownRefresh": false
				}
			}
		]
	}, {
		"root": "pages_player", //分包所在路径
		"pages": [ //页面数组
			{
				"path": "list/devicePlayer",
				"style": {
					"navigationBarTitleText": "%navBar.player%", //页面头部标题
					"enablePullDownRefresh": false,
					"app-plus": {
						"bounce": "none" // 将回弹属性关掉
					}
				}

			},
			{
				"path": "list/devicePlayerApp",
				"style": {
					"navigationBarTitleText": "%navBar.player%", //页面头部标题
					"enablePullDownRefresh": false,
					"app-plus": {
						"bounce": "none" // 将回弹属性关掉
					}
				}
			}
		]
	}],
	"globalStyle": {
		"pageOrientation": "portrait",
		"navigationBarTitleText": "%common.fastbee%",
		"navigationBarTextStyle": "white",
		"navigationBarBackgroundColor": "#007AFF",
		"backgroundColor": "#F8F8F8",
		"backgroundColorTop": "#F4F5F6",
		"backgroundColorBottom": "#F4F5F6",
		"onReachBottomDistance": 50
	},
	"tabBar": {
		"color": "#000000",
		"selectedColor": "#486FF2",
		"borderStyle": "black",
		"backgroundColor": "#FFFFFF",
		"iconWidth": "21px",
		"fontSize": "13px",
		"list": [{
				"pagePath": "pages/tabBar/home/index",
				"iconPath": "/static/tabBar/home.png",
				"selectedIconPath": "/static/tabBar/home_active.png",
				"text": "%navBar.home%"
			},
			{
				"pagePath": "pages/tabBar/scene/index",
				"iconPath": "/static/tabBar/scene.png",
				"selectedIconPath": "/static/tabBar/scene_active.png",
				"text": "%navBar.scene%"
			},
			{
				"pagePath": "pages/tabBar/alert/index",
				"iconPath": "/static/tabBar/alert.png",
				"selectedIconPath": "/static/tabBar/alert_active.png",
				"text": "%navBar.alert%"
			},
			// {
			// 	"pagePath": "pages/tabBar/trend/index",
			// 	"iconPath": "/static/tabBar/trend.png",
			// 	"selectedIconPath": "/static/tabBar/trend_active.png",
			// 	"text": "%navBar.news%"
			// },
			{
				"pagePath": "pages/tabBar/user/index",
				"iconPath": "/static/tabBar/user.png",
				"selectedIconPath": "/static/tabBar/user_active.png",
				"text": "%navBar.user%"
			}
		]
	}
}